## org.apache.wml.dom
Class WMLInputElementImpl

    java.lang.Object
      org.apache.xerces.dom.NodeImpl
          org.apache.xerces.dom.ChildNode
              org.apache.xerces.dom.ParentNode
                  org.apache.xerces.dom.ElementImpl
                      org.apache.wml.dom.WMLElementImpl
                          org.apache.wml.dom.WMLInputElementImpl

All Implemented Interfaces:
  java.io.Serializable, java.lang.Cloneable, WMLElement, WMLInputElement, org.w3c.dom.Element, org.w3c.dom.events.EventTarget, org.w3c.dom.Node, org.w3c.dom.NodeList, org.w3c.dom.TypeInfo

    public class WMLInputElementImpl

extends WMLElementImpl
implements WMLInputElement

Version:
  $Id: WMLInputElementImpl.java 447257 2006-09-18 05:40:07Z mrglavas $
Author:
  David Li
See Also:
  Serialized Form

# INTERNAL:

  Usage of this class is not supported. It may be altered or removed at any time.

Field Summary

Fields inherited from class org.apache.xerces.dom.ElementImpl
`attributes, name`

Fields inherited from class org.apache.xerces.dom.ParentNode
`firstChild, fNodeListCache, ownerDocument`

Fields inherited from class org.apache.xerces.dom.ChildNode
`nextSibling, previousSibling`

Fields inherited from class org.apache.xerces.dom.NodeImpl

`DOCUMENT_POSITION_CONTAINS, DOCUMENT_POSITION_DISCONNECTED, DOCUMENT_POSITION_FOLLOWING, DOCUMENT_POSITION_IMPLEMENTATION_SPECIFIC, DOCUMENT_POSITION_IS_CONTAINED, DOCUMENT_POSITION_PRECEDING, ELEMENT_DEFINITION_NODE, FIRSTCHILD, flags, HASSTRING, ID, IGNORABLEWS, NORMALIZED, OWNED, ownerNode, READONLY, SPECIFIED, SYNCCHILDREN, SYNCDATA, TREE_POSITION_ANCESTOR, TREE_POSITION_DESCENDANT, TREE_POSITION_DISCONNECTED, TREE_POSITION_EQUIVALENT, TREE_POSITION_FOLLOWING, TREE_POSITION_PRECEDING, TREE_POSITION_SAME_NODE`

Fields inherited from interface org.w3c.dom.Node

`ATTRIBUTE_NODE, CDATA_SECTION_NODE, COMMENT_NODE, DOCUMENT_FRAGMENT_NODE, DOCUMENT_NODE, DOCUMENT_POSITION_CONTAINED_BY, DOCUMENT_POSITION_CONTAINS, DOCUMENT_POSITION_DISCONNECTED, DOCUMENT_POSITION_FOLLOWING, DOCUMENT_POSITION_IMPLEMENTATION_SPECIFIC, DOCUMENT_POSITION_PRECEDING, DOCUMENT_TYPE_NODE, ELEMENT_NODE, ENTITY_NODE, ENTITY_REFERENCE_NODE, NOTATION_NODE, PROCESSING_INSTRUCTION_NODE, TEXT_NODE`

Fields inherited from interface org.w3c.dom.TypeInfo
`DERIVATION_EXTENSION, DERIVATION_LIST, DERIVATION_RESTRICTION, DERIVATION_UNION`

Constructor Summary
`WMLInputElementImpl(WMLDocumentImpl owner, java.lang.String tagName)`

Method Summary
`java.lang.String` `getClassName()`
`boolean` `getEmptyOk()`
`java.lang.String` `getFormat()`
`java.lang.String` `getId()`
`int` `getMaxLength()`
`java.lang.String` `getName()`
`int` `getSize()`
`int` `getTabIndex()`
`java.lang.String` `getTitle()`
`java.lang.String` `getType()`
`java.lang.String` `getValue()`
`java.lang.String` `getXmlLang()`
`void` `setClassName(java.lang.String newValue)` The 'class' attribute of a element that affiliates an elements with one or more elements.
`void` `setEmptyOk(boolean newValue)` 'emptyok' specifies whether a empty input is allowed when a non-empty 'format' is specified.
`void` `setFormat(java.lang.String newValue)` 'format' specifies the input mask for user input.
`void` `setId(java.lang.String newValue)` The element's identifier which is unique in a single deck.
`void` `setMaxLength(int newValue)` 'maxlength' specifies the maximum number of characters to be enter.
`void` `setName(java.lang.String newValue)` 'name' specifies the name of a variable after the user enters the text.
`void` `setSize(int newValue)` 'size' specifies the width of the input in characters (Section 11.6.3, WAP WML Version 16-Jun-1999)
`void` `setTabIndex(int newValue)` 'tabindex' specifies the tabbing position of the element (Section 11.6.1, WAP WML Version 16-Jun-1999)
`void` `setTitle(java.lang.String newValue)` 'title' specifies a title for this element (Section 11.6.3, WAP WML Version 16-Jun-1999)
`void` `setType(java.lang.String newValue)` 'type' specifies the type of text input area.
`void` `setValue(java.lang.String newValue)` 'value' specifies the default value of the variable in 'name' attribute (Section 11.6.3, WAP WML Version 16-Jun-1999)
`void` `setXmlLang(java.lang.String newValue)` 'xml:lang' specifics the natural or formal language in which the document is written.

Methods inherited from class org.apache.xerces.dom.ElementImpl

`cloneNode, getAttribute, getAttributeNode, getAttributeNodeNS, getAttributeNS, getAttributes, getBaseURI, getDefaultAttributes, getElementsByTagName, getElementsByTagNameNS, getNodeName, getNodeType, getSchemaTypeInfo, getTagName, getTypeName, getTypeNamespace, getXercesAttribute, hasAttribute, hasAttributeNS, hasAttributes, isDerivedFrom, isEqualNode, normalize, reconcileDefaultAttributes, removeAttribute, removeAttributeNode, removeAttributeNS, setAttribute, setAttributeNode, setAttributeNodeNS, setAttributeNS, setIdAttribute, setIdAttributeNode, setIdAttributeNS, setOwnerDocument, setReadOnly, setupDefaultAttributes, setXercesAttributeNode, synchronizeData`

Methods inherited from class org.apache.xerces.dom.ParentNode
`getChildNodes, getChildNodesUnoptimized, getFirstChild, getLastChild, getLength, getOwnerDocument, getTextContent, hasChildNodes, insertBefore, item, removeChild, replaceChild, setTextContent, synchronizeChildren`

Methods inherited from class org.apache.xerces.dom.ChildNode
`getNextSibling, getParentNode, getPreviousSibling`

Methods inherited from class org.apache.xerces.dom.NodeImpl

`addEventListener, appendChild, changed, changes, compareDocumentPosition, compareTreePosition, dispatchEvent, getContainer, getFeature, getLocalName, getNamespaceURI, getNodeNumber, getNodeValue, getPrefix, getReadOnly, getUserData, getUserData, getUserDataRecord, isDefaultNamespace, isSameNode, isSupported, lookupNamespaceURI, lookupPrefix, needsSyncChildren, removeEventListener, setNodeValue, setPrefix, setUserData, setUserData, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Methods inherited from interface org.w3c.dom.Element
`getAttribute, getAttributeNode, getAttributeNodeNS, getAttributeNS, getElementsByTagName, getElementsByTagNameNS, getSchemaTypeInfo, getTagName, hasAttribute, hasAttributeNS, removeAttribute, removeAttributeNode, removeAttributeNS, setAttribute, setAttributeNode, setAttributeNodeNS, setAttributeNS, setIdAttribute, setIdAttributeNode, setIdAttributeNS`

Methods inherited from interface org.w3c.dom.Node

`appendChild, cloneNode, compareDocumentPosition, getAttributes, getBaseURI, getChildNodes, getFeature, getFirstChild, getLastChild, getLocalName, getNamespaceURI, getNextSibling, getNodeName, getNodeType, getNodeValue, getOwnerDocument, getParentNode, getPrefix, getPreviousSibling, getTextContent, getUserData, hasAttributes, hasChildNodes, insertBefore, isDefaultNamespace, isEqualNode, isSameNode, isSupported, lookupNamespaceURI, lookupPrefix, normalize, removeChild, replaceChild, setNodeValue, setPrefix, setTextContent, setUserData`

Constructor Detail

### WMLInputElementImpl

    public WMLInputElementImpl(WMLDocumentImpl owner,
                               java.lang.String tagName)

Method Detail

### setSize

    public void setSize(int newValue)

  Description copied from interface: `WMLInputElement`
  'size' specifies the width of the input in characters (Section 11.6.3, WAP WML Version 16-Jun-1999)

  Specified by:
    `setSize` in interface `WMLInputElement`

### getSize

    public int getSize()

  Specified by:
    `getSize` in interface `WMLInputElement`

### setFormat

    public void setFormat(java.lang.String newValue)

  Description copied from interface: `WMLInputElement`
  'format' specifies the input mask for user input. (Section 11.6.3, WAP WML Version 16-Jun-1999)

  Specified by:
    `setFormat` in interface `WMLInputElement`

### getFormat

    public java.lang.String getFormat()

  Specified by:
    `getFormat` in interface `WMLInputElement`

### setValue

    public void setValue(java.lang.String newValue)

  Description copied from interface: `WMLInputElement`
  'value' specifies the default value of the variable in 'name' attribute (Section 11.6.3, WAP WML Version 16-Jun-1999)

  Specified by:
    `setValue` in interface `WMLInputElement`

### getValue

    public java.lang.String getValue()

  Specified by:
    `getValue` in interface `WMLInputElement`

### setMaxLength

    public void setMaxLength(int newValue)

  Description copied from interface: `WMLInputElement`
  'maxlength' specifies the maximum number of characters to be enter. (Section 11.6.3, WAP WML Version 16-Jun-1999)

  Specified by:
    `setMaxLength` in interface `WMLInputElement`

### getMaxLength

    public int getMaxLength()

  Specified by:
    `getMaxLength` in interface `WMLInputElement`

### setTabIndex

    public void setTabIndex(int newValue)

  Description copied from interface: `WMLInputElement`
  'tabindex' specifies the tabbing position of the element (Section 11.6.1, WAP WML Version 16-Jun-1999)

  Specified by:
    `setTabIndex` in interface `WMLInputElement`

### getTabIndex

    public int getTabIndex()

  Specified by:
    `getTabIndex` in interface `WMLInputElement`

### setClassName

    public void setClassName(java.lang.String newValue)

  Description copied from interface: `WMLElement`
  The 'class' attribute of a element that affiliates an elements with one or more elements. (Section 8.9, WAP WML Version 16-Jun-1999)

  Specified by:
    `setClassName` in interface `WMLElement`
  Overrides:
    `setClassName` in class `WMLElementImpl`

### getClassName

    public java.lang.String getClassName()

  Specified by:
    `getClassName` in interface `WMLElement`
  Overrides:
    `getClassName` in class `WMLElementImpl`

### setXmlLang

    public void setXmlLang(java.lang.String newValue)

  Description copied from interface: `WMLInputElement`
  'xml:lang' specifics the natural or formal language in which the document is written. (Section 8.8, WAP WML Version 16-Jun-1999)

  Specified by:
    `setXmlLang` in interface `WMLInputElement`
  Overrides:
    `setXmlLang` in class `WMLElementImpl`

### getXmlLang

    public java.lang.String getXmlLang()

  Specified by:
    `getXmlLang` in interface `WMLInputElement`
  Overrides:
    `getXmlLang` in class `WMLElementImpl`

### setEmptyOk

    public void setEmptyOk(boolean newValue)

  Description copied from interface: `WMLInputElement`
  'emptyok' specifies whether a empty input is allowed when a non-empty 'format' is specified. Default to be 'false' (Section 11.6.3, WAP WML Version 16-Jun-1999)

  Specified by:
    `setEmptyOk` in interface `WMLInputElement`

### getEmptyOk

    public boolean getEmptyOk()

  Specified by:
    `getEmptyOk` in interface `WMLInputElement`

### setTitle

    public void setTitle(java.lang.String newValue)

  Description copied from interface: `WMLInputElement`
  'title' specifies a title for this element (Section 11.6.3, WAP WML Version 16-Jun-1999)

  Specified by:
    `setTitle` in interface `WMLInputElement`

### getTitle

    public java.lang.String getTitle()

  Specified by:
    `getTitle` in interface `WMLInputElement`

### setId

    public void setId(java.lang.String newValue)

  Description copied from interface: `WMLElement`
  The element's identifier which is unique in a single deck. (Section 8.9, WAP WML Version 16-Jun-1999)

  Specified by:
    `setId` in interface `WMLElement`
  Overrides:
    `setId` in class `WMLElementImpl`

### getId

    public java.lang.String getId()

  Specified by:
    `getId` in interface `WMLElement`
  Overrides:
    `getId` in class `WMLElementImpl`

### setType

    public void setType(java.lang.String newValue)

  Description copied from interface: `WMLInputElement`
  'type' specifies the type of text input area. Two values are allowed: 'text' and 'password' and default is 'text' (Section 11.6.3, WAP WML Version 16-Jun-1999)

  Specified by:
    `setType` in interface `WMLInputElement`

### getType

    public java.lang.String getType()

  Specified by:
    `getType` in interface `WMLInputElement`

### setName

    public void setName(java.lang.String newValue)

  Description copied from interface: `WMLInputElement`
  'name' specifies the name of a variable after the user enters the text. (Section 11.6.3, WAP WML Version 16-Jun-1999)

  Specified by:
    `setName` in interface `WMLInputElement`

### getName

    public java.lang.String getName()

  Specified by:
    `getName` in interface `WMLInputElement`

Copyright © 1999-2006 The Apache Software Foundation. All Rights Reserved.